superlu-dist (9.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patches combblas_single_PR202.patch
      and copy_example_datafiles_a9727ca.patch
  * update debian/libsuperlu-dist-dev.fortran-mod: fortran mod files
    are now installed directly in superlu-dist dir not FORTRAN subdir
  * allow libscotchmetis-dev as an alternative Build-Depends instead of
    libmetis-dev (gives more flexibility running autopkgtest)

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Dec 2025 14:38:41 +0100

superlu-dist (9.2.0+dfsg1-4) unstable; urgency=medium

  * add hurd-i386 to the ARCH_IGNORE_TEST_ERROR list
  * Standards-Version: 4.7.2
  * upload to unstable transition #1121012

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Nov 2025 22:17:28 +0100

superlu-dist (9.2.0+dfsg1-3) experimental; urgency=medium

  * Build-Depends: python3-mpi4py, python3-numpy, python3-scipy
    <!nocheck> to run the python test
  * debian patch copy_example_datafiles_a9727ca.patch applies upstream
    commit a9727ca to copy example data file for build tests and
    provide integer type information in fortran tests
    Drop datafile copying from install_fortran.patch.

 -- Drew Parsons <dparsons@debian.org>  Sun, 16 Nov 2025 18:44:14 +0100

superlu-dist (9.2.0+dfsg1-2) experimental; urgency=medium

  * update debian patch pdbridge_lib.patch to add pydrive python test
    (create local data with use_cov=0, see upstream Issue#204)
  * execute_after_dh_clean: superlu_dist_config.h moved to include subdir,
    remove generated SRC/superlu_FortranCInterface.h
  * drop -oversubscribe from MPIEXEC_PREFLAGS in cmake scripts
    (this flag is for openmpi only, and causes mpich to fail)
    - test_local_exe.patch: drop upstream's use in TEST
    - drop MPIEXEC_PREFLAGS from fortran and python debian patches
  * runtests with OMPI_MCA_btl_tcp_if_include=lo to avoid warning
    "Unable to find reachable pairing between local and remote interfaces"

 -- Drew Parsons <dparsons@debian.org>  Sun, 16 Nov 2025 16:53:49 +0100

superlu-dist (9.2.0+dfsg1-1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New ABI 9, provides libsuperlu-dist9
  * Add Francesco Ballarin to uploaders.
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Add upstream metadata (routine-update)
  * Refresh rowperm_default_NOROWPERM_not_MC64.patch: the file util.c got moved
    to the prec-independent subdirectory.
  * Refresh build_with_combblas.patch:
    - dHWPM_CombBLAS.hpp was moved to the dobule subdirectory, while
    - zHWPM_CombBLAS.hpp was moved to the complex16 subdirectory.
  * Refresh build_cxx14.patch, skip_rpath.patch, test_local_exe.patch so that
    they apply without fuzz.

  [ Drew Parsons ]
  * New upstream release
    - fixes build with C23 (default for gcc-15). Closes: #1097952.
  * provide example test files (including python scripts) in
    libsuperlu-dist-examples.install
  * update debian patches
    - build_with_combblas.patch: add sHWPM_CombBLAS.hpp to include
      ApproxWeightPerfectMatching.h from the BipartiteMatchings subdir
    - mc64ad_dist-stub.patch: mc64ad_dist.* moved from SRC/ to
      SRC/prec-independent
  * new debian patches
    - combblas_single_PR202.patch applies upstream PR#202 to fix
      single precision build with CombBLAS. Closes: #1103651.
    - install_extra.patch installs EXAMPLES and PYTHON (with README) in
      superlu-dist subdir (under libdir). Treat it as the install TESTDIR.
      Don't double-install libsuperlu_dist_python.so* in PYTHON.
    - debian patch pdbridge_lib.patch enables python example script to
      access python bridge library from standard libdir
    - install_fortran.patch installs fortran test executables
      (not 3d tests, which are still failing)
  * update debian/copyright
    - files moved from SRC to SRC/prec-independent or specific prec subdirs
    - p*symbfact*.c created by Laura Grigori, INRIA

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Nov 2025 18:34:00 +0100

superlu-dist (8.2.1+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Replace OMPI_MCA_rmaps_base_oversubscribe and OMPI_MCA_plm_rsh_agent
    environment variables in debian/rules as well.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 02 Nov 2024 13:52:59 +0000

superlu-dist (8.2.1+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=":oversubscribe"
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
  * Squash some trailing whitespace in a previous upload.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 31 Oct 2024 06:57:41 +0000

superlu-dist (8.2.1+dfsg1-3) unstable; urgency=medium

  * libsuperlu-dist-dev Depends: ${fortran:Depends}
    to activate fortran_mod provisioning
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Oct 2024 00:20:07 +0200

superlu-dist (8.2.1+dfsg1-2) unstable; urgency=medium

  * run mpi tests with --allow-run-as-root for openmpi only,
    not mpich. Closes: #1076030.

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Jul 2024 22:00:28 +0200

superlu-dist (8.2.1+dfsg1-1) unstable; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release
  * Remove align_superlu_header_f36d65a.patch and metis_b64fe36.patch, which
    are now released in version 8.2.1 (commits b64fe36 and f36d65a).

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Dec 2023 18:19:19 +0100

superlu-dist (8.1.2+dfsg1-2) unstable; urgency=medium

  * debian patches align_superlu_header_f36d65a.patch and
    metis_b64fe36.patch applies upstream commits f36d65a and b64fe36
    (Apr 23-24 2023) to fix metis support and align
    superlu_enum_consts.h with superlu 6 (adds METIS_ATA to colperm_t).
    Needed to allow PETSc superlu-dist tests to pass.
    See upstream issue #141 and PETSc issue #1384.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Aug 2023 04:30:08 +0200

superlu-dist (8.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Nov 2022 13:45:17 +0100

superlu-dist (8.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Oct 2022 22:34:24 +1100

superlu-dist (8.1.0+dfsg1-2) unstable; urgency=medium

  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Aug 2022 12:07:24 +0200

superlu-dist (8.1.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - new ABI 8, provide libsuperlu-dist8

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Jul 2022 11:08:22 +0200

superlu-dist (7.2.0+dfsg1-2) unstable; urgency=medium

  * upload v7.2 to unstable

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Dec 2021 15:34:42 +0100

superlu-dist (7.2.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - drops SRC/cub
  * use debian/not-installed to ignore pddrive* installed by upstream
    commit 302139e to usr/bin. No need for it there, we have it
    available in <libdir>/superlu-dist/tests/EXAMPLE/. See upstream
    Issue #91 for further discussion.
  * remove generated make.inc and superlu_dist_config.*h header files
    in clean rule

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Dec 2021 13:32:45 +0100

superlu-dist (7.1.0+dfsg1-2) unstable; urgency=medium

  * upload SuperLU-Dist 7.1 to unstable

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Oct 2021 00:17:22 +0200

superlu-dist (7.1.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patches fortran_shared_lib_soname.patch
      example_big.rua_6.4.patch, combblas_use_HWPM.patch
  * skip installation of fortran test programs in libsuperlu-dist-dev.
    The fortran test build was deactivated in upstream commit 6fc6429
    and currently fails to build (upstream Issue #85)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Oct 2021 18:21:32 +0200

superlu-dist (7.0.0+dfsg1-1exp3) experimental; urgency=medium

  * acknowledge all copyright holders in debian/copyright
    - main code: Xiaoye Sherry Li, University of California and
      Lawrence Berkeley National Laboratory (BSD-3)
    - symbfact.c, Xerox Corporation, University of California (BSD-3)
    - wingetopt.*: Microsoft (Apache-2.0)
    - cub: Duane Merrill, NVIDIA CORPORATION (BSD-3)
    - *colamd.*: University of Florida, University of California (BSD-3)
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Sep 2021 01:42:23 +0200

superlu-dist (7.0.0+dfsg1-1exp2) experimental; urgency=medium

  * build with Parmetis support (provided via Scotch emulation since
    Parmetis is non-free)
    - Build-Depends: libscotchparmetis-dev, libmetis-dev
  * register fortran mod files with dh --with fortran_mod
    - Build-Depends: dh-fortran-mod

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 May 2021 03:14:45 +0200

superlu-dist (7.0.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream major release.
    - drop debian patch soname_6.4.patch, assert ABI compatibility
      across the v7 series (libsuperlu-dist7)
  * provide libsuperlu_dist_fortran.so (Fortran wrapper)
    - configure with -DXSDK_ENABLE_Fortran=ON to activate Fortran
      support, including use of underscore with BLAS symbols
      (CMake FortranCInterface)
    - provide fortran test programs in libsuperlu-dist-dev
  * Build with complex number support (enable_complex16=ON)
  * Build with lapack support.
    - Build-Depends: liblapack-dev | libopenblas-dev |
      libatlas-base-dev | liblapack.so
  * Add libblis-dev alternative to Build-Depends: libblas-dev
  * add debian patches
    - combblas_use_HWPM.patch fixes build with CombBLAS
      (uses HWPM not AWPM). This is upstream commit 4d43154.
    - example_big.rua_6.4.patch reinstates EXAMPLE/big.rua,
      removed from 7.0.0 tarball but used by tests
    - fortran_shared_lib_soname.patch fixes install path of fortran
      shared library, links to main library and adds soversion
    - test_local_exe.patch configures tests as local executables (./)
  * run tests with OMP_NUM_THREADS=1
    (MPI is typically more efficient with 1 thread per process)

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 May 2021 19:22:32 +0200

superlu-dist (6.4.0+dfsg1-1exp2) experimental; urgency=medium

  * provide library as libsuperlu-dist6.4 (ABI bump to 6.4)
  * debian patch soname_6.4.patch sets soname to 6.4 rather than 6.
    Upstream sets it to VERSION_MAJOR (i.e. 6), but a strong API
    change was made in SuperLU-Dist 6.3 to enable simultaneous real
    and complex number data structures (e.g. splitting LUstruct_t ->
    dLUstruct_t, zLUstruct_t). v6.3.1 also updated the interface to
    CombBLAS. Hence commence new ABI at 6.4 rather than 6.3.
    The future version 6.5 might be ABI compatible with 6.4.

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Jan 2021 05:10:23 +1100

superlu-dist (6.4.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.1
  * debhelper compatibility level 13
  * add debian patches
    - build_cxx14.patch enables build with -std=c++14
      (needed to handle auto pointers in combblas)
    - skip_rpath.patch switches off manual rpath in cmake
  * libsuperlu-dist-dev: install static library libsuperlu_dist.a
  * debian/tests: run ctest --verbose to catch error messages

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Jan 2021 20:22:41 +1100

superlu-dist (6.2.0+dfsg1-3) unstable; urgency=medium

  * replace all instances of CURDIR in test scripts to get
    reproducible builds. Thanks Chris Lamb. Closes: #945576.

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Nov 2019 14:37:05 +0800

superlu-dist (6.2.0+dfsg1-2) unstable; urgency=medium

  * release to unstable

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Nov 2019 12:45:12 +0800

superlu-dist (6.2.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patch pkgconfig_dist.patch
  * set ARCH_IGNORE_TEST_ERROR to ignore build-time test errors on
    ia64 and x32. Don't ignore failure on other arches.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2019 15:15:17 +0800

superlu-dist (6.1.1+dfsg1-2) unstable; urgency=medium

  * update debian/watch and Homepage to
    https://github.com/xiaoyeli/superlu_dist
  * Support reproducible builds by separating sed -e from sed -r when
    processing Test files. Thanks Chris Lamb. Closes: #933838.
  * debian patch pkgconfig_dist.patch fixes library reference in
    superlu_dist.pc (-lsuperlu_dist not -lsuperlu)

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Aug 2019 13:36:22 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libsuperlu-dist9`.
